exports.up = function(knex) {
  return knex.schema
    .createTable('users', function (table) {
       table.increments('id').primary().notNullable();
       table.string('email', 255).notNullable();
       table.string('password_hash').notNullable();
       table.string('username', 255).notNullable();
       table.timestamps(true, true);

    })
};

exports.down = function(knex) {
  return knex.schema
      .dropTable("users");
};

