import React, {useEffect, useState} from "react";
import {useParams} from "react-router";
import UserService from "../service/UserService";

const UserProfile = (props) => {
    const params = useParams();
    const [user, setUser] = useState();

    useEffect(async () => {
        const user = await UserService.getUserByName(params.userId);
        setUser(user);
    }, [])
    return <h1>{user?.username}</h1>
};

export default UserProfile;
